Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.actions.GotoAction Class Reference
Inheritance diagram for foxit.pdf.actions.GotoAction:

## Public Member Functions
| GotoAction (Action action)
| Constructor, with parent class object. More...
Destination | GetDestination ()
| Get the destination information. More...
void | SetDestination (Destination dest)
| Set the destination information. More...
Public Member Functions inherited from foxit.pdf.actions.Action
| Action (PDFDoc document, PDFDictionary action_dict)
| Constructor, with parameters. More...
| Action (Action action)
| Constructor, with another action object. More...
PDFDictionary | GetDict ()
| Get PDF dictionary of current object. More...
PDFDoc | GetDocument ()
| Get the PDF document, to which current action belongs. More...
Action | GetSubAction (int index)
| Get a sub-action by index. More...
int | GetSubActionCount ()
| Get the count of sub-actions. More...
Action.Type | GetType ()
| Get action type. More...
void | InsertSubAction (int index, Action sub_action)
| Insert a new sub-action to the location specified by index. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
void | RemoveAllSubActions ()
| Remove all the sub-actions. More...
void | RemoveSubAction (int index)
| Remove a sub-action, specified by index. More...
void | SetSubAction (int index, Action sub_action)
| Set a sub-action by index. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.actions.Action
enum | NewWindowFlag { NewWindowFlag.e_NewWindowFlagFalse = 0, NewWindowFlag.e_NewWindowFlagTrue = 1, NewWindowFlag.e_NewWindowFlagNone = 2 }
| Enumeration for new window flag. More...
enum | Type { Type.e_TypeUnknown = 0, Type.e_TypeGoto = 1, Type.e_TypeGoToR = 2, Type.e_TypeGoToE = 3, Type.e_TypeLaunch = 4, Type.e_TypeThread = 5, Type.e_TypeURI = 6, Type.e_TypeSound = 7, Type.e_TypeMovie = 8, Type.e_TypeHide = 9, Type.e_TypeNamed = 10, Type.e_TypeSubmitForm = 11, Type.e_TypeResetForm = 12, Type.e_TypeImportData = 13, Type.e_TypeJavaScript = 14, Type.e_TypeSetOCGState = 15, Type.e_TypeRendition = 16, Type.e_TypeTrans = 17, Type.e_TypeGoTo3DView = 18 }
| Enumeration for action type. More...
Static Public Member Functions inherited from foxit.pdf.actions.Action
static Action | Create (PDFDoc document, Action.Type action_type)
| Create a new action, for specified action type. More...

## Detailed Description

Go-to action is an action that changes the view to a specified destination (page, location, and magnification factor).
Class foxit.pdf.actions.GotoAction is derived from Action and offers functions to get/set go-to action data.

See also
  Action

## Constructor & Destructor Documentation

## ◆ GotoAction()

foxit.pdf.actions.GotoAction.GotoAction | ( | Action | action | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | action | Parent class object.

## Member Function Documentation

## ◆ GetDestination()

Destination foxit.pdf.actions.GotoAction.GetDestination | ( |  | ) |
| inline

Get the destination information.

Returns
  A destination object.

## ◆ SetDestination()

void foxit.pdf.actions.GotoAction.SetDestination | ( | Destination | dest | ) |
| inline

Set the destination information.

Parameters

  [in] | dest | A valid destination object to be set.

Returns
  None.